package com.ads.business.service.data;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class GetResourceTreeOutData {

    private Long id;

    private String name;

    private Long pid;

    private List<GetResourceTreeOutData> child;

    public void addChild(GetResourceTreeOutData outData) {
        if (this.child == null) {
            this.child = new ArrayList<>();
        }
        this.child.add(outData);
    }
}
